Ticket #43562

Thread condition variables considered supported even after failed pthreads test

Open Date: 2022-01-06 19:24 Last Update: 2022-01-18 11:52

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

With confusing indentation, configure actually sets thread_cond to true after the pthread test, not inside the "test succeeded" block. This affects at least featurelist at the end of configure, and can cause enabling of tex ai module when it actually cannot be supported.

Ticket History (3/4 Histories)

2022-01-06 19:24 Updated by: cazfi
  • New Ticket "Thread condition variables considered supported even after failed pthreads test" created
2022-01-07 00:06 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
Comment

I'm about to push this to S2_6 too.

2022-01-18 11:52 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login